Download the PHP package growlot/php-litecoinrpc without Composer

On this page you can find all versions of the php package growlot/php-litecoinrpc. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of php-litecoinrpc with dependencies

Informations about the package php-litecoinrpc

Simple Litecoin JSON-RPC client based on GuzzleHttp

About

This project is based on php-litecoinrpc project - fully unit-tested Litecoin JSON-RPC client powered by GuzzleHttp.

Installation

Run in your project directory or add following lines to composer.json

and run .

Requirements

PHP 7.0 or higher (should also work on 5.6, but this is unsupported)

Usage

Create new object with url as parameter

or use array to define your litecoind settings

Then call methods defined in Litecoin Core API Documentation with magic:

To send asynchronous request, add Async to method name:

You can also send requests using request method:

or requestAsync method for asynchronous calls:

Multi-Wallet RPC

You can use wallet($name) function to do a Multi-Wallet RPC call:

License

This product is distributed under MIT license.

Donations

If you like this project, you can donate Litecoins to LbKRh7icJy8En3MDcPsxhLhF9quH9VNrgS.

Thanks for your support!


Version
Requires php Version >=5.6.0
guzzlehttp/guzzle Version ^6.2

The package growlot/php-litecoinrpc contains the following files

Loading the files please wait ....